Package org.linphone.core

# Enum Class CodecPriorityPolicy

java.lang.Object
java.lang.Enum<CodecPriorityPolicy>
org.linphone.core.CodecPriorityPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<CodecPriorityPolicy>`, `Constable`

public enum CodecPriorityPolicy extends Enum<CodecPriorityPolicy>
Codec priority policies.
This enum represents different policies for managing offered codec lists during
calls, as well as the offer-answer logic. Currently, policies can be applied
only for video codecs.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Auto`
In this mode, the codec list is managed by the `Core` according to
hardware capabilities in the goal of optimizing video quality and user
experience.
`Basic`
In this mode, codecs have initial default ordering, that can be changed by the
application The answerer of a call accepts codecs with the order given in the
offer.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static CodecPriorityPolicy`
`fromInt(int value)`
`protected static CodecPriorityPolicy[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(CodecPriorityPolicy[] values)`
`static CodecPriorityPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CodecPriorityPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Basic

public static final CodecPriorityPolicy Basic
In this mode, codecs have initial default ordering, that can be changed by the
application The answerer of a call accepts codecs with the order given in the
offer.

### Auto

public static final CodecPriorityPolicy Auto
In this mode, the codec list is managed by the `Core` according to
hardware capabilities in the goal of optimizing video quality and user
experience.
The answerer of call may re-order the offerer's list in its answer in order to
give preference to certain codecs.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static CodecPriorityPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CodecPriorityPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static CodecPriorityPolicy fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static CodecPriorityPolicy[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(CodecPriorityPolicy[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()